std::ranges::chunk_view::outer-iterator::outer-iterator(3)

NAME
std::ranges::chunk_view::outer-iterator::outer-iterator - std::ranges::chunk_view::outer-iterator::outer-iterator

Synopsis
   /*outer-iterator*/( /*outer-iterator*/&& other ) = default; (1) (since C++23)
   private: (2) (exposition only*)
   constexpr explicit /*outer-iterator*/( chunk_view& parent );
   Construct an iterator.
   1) Move constructor. Move-initializes the underlying pointer parent_ with
   other.parent_.
   2) A private constructor which is used by chunk_view::begin. This constructor is not
   accessible to users. Initializes parent_ with std::addressof(parent).

Parameters
   other - an iterator
   parent - the enclosing ranges::chunk_view object

Example
    This section is incomplete
    Reason: no example

See also
   operator= move assigns another iterator
   (C++23) (public member function)

Category:
     * Todo no example